## https://github.com/insignia-live/setup-assistant-release
kind: pipeline
name: release

trigger:
  release: true

steps:

  - name: check_release_tag
    image: alpine:3.13
    commands:
      - apk add --no-cache curl jq
      - |
        latestReleaseTag=$(curl -s "https://api.github.com/repos/insignia-live/setup-assistant-release/releases/latest" | jq -r '.tag_name')
        targetReleaseTag="2023-02-13-1223"  # Replace with your target release tag

        if [[ "$latestReleaseTag" != "$targetReleaseTag" ]]; then
          echo "This pipeline is run because the new release is different from the target tag."
          exit 78
        else
          echo "The release tag is the same as the target tag. Skipping pipeline."
          exit 0
        fi
    when:
      status:
        - success
        - failure
        - changed

  - name: testing
    image: alpine
    environment:
      USERNAME:
        from_secret: user_gitea
      PASSWORD:
        from_secret: gitea_token
    commands:
      - apk add --no-cache curl git
      - git clone https://$USERNAME:$PASSWORD@git.sthope.dev/sthope/xbox_og.git
      - cd xbox_og && rm -rf Insigina ; mkdir -p Insignia
      - |
        curl -sL -o Insignia/default.xbe $(curl -s "https://api.github.com/repos/insignia-live/setup-assistant-release/releases/latest" |
        grep "browser_download_url.*setup.xbe" | cut -d : -f 2,3 | tr -d \")
      - git add .
      - git commit -m "Updating Insignia"
      - git push
    volumes:
    - name: cache
      path: /drone/src/xbox_og